<?php

defined('_MAILING') or die('Restricted access');

// build search query for db2
$import_cols = $source_col_rec_mail;
$import_cols .= $source_col_rec_name != '' ? ', '.$source_col_rec_name : '';
$import_cols .= $source_col_rec_desc != '' ? ', '.$source_col_rec_desc : '';

$insert_qty = 0;
$update_qty = 0;
$errors_qty = 0;

$result2 = $db2->query(" SELECT ".$import_cols." FROM ".$source_table_name." ");
foreach ($result2 as $row) {
    if ($row[$source_col_rec_mail] != '') {
        $updated = false;
        $update_tags = false;
        $new_name = isset($row[$source_col_rec_name]) ? $row[$source_col_rec_name] : '';
        $new_name = ltrim($new_name.' '.$additional_name);
        $new_desc = isset($row[$source_col_rec_desc]) ? $row[$source_col_rec_desc] : '';
        $new_desc = ltrim($new_desc.' '.$additional_desc);
        
        // get existing recipient id or set it to 0 as not exist
        $stmt = $db->query(" SELECT id from ".PREF."_recipient WHERE email = '".$row[$source_col_rec_mail]."' ");
        $stmt->execute();
        $recipient = $stmt->fetchAll();
        $id_recipient = count($recipient) ? (int) $recipient[0]['id'] : 0;    
        
        // option update enabled
        if ($destination_update) {
            $date_modify = date("Y-m-d H:i:s", time());
            
            // if recipient exists, update him
            if ($id_recipient) {
                $sql = "
                    UPDATE 
                        ".PREF."_recipient
                    SET 
                        date_modify = :date_modify, 
                        person = :person,
                        comment = :comment
                    WHERE 
                        id = :id
                ";
                $stmt = $db->prepare($sql);
                $stmt->bindParam(':date_modify', $date_modify, PDO::PARAM_STR);
                $stmt->bindParam(':person', $new_name, PDO::PARAM_STR);
                $stmt->bindParam(':comment', $new_desc, PDO::PARAM_STR);
                $stmt->bindParam(':id', $id_recipient, PDO::PARAM_STR);
                $stmt->execute();
                $updated = true;
                $update_tags = true;
                $update_qty ++;
            }
        }
        
        // not updated and not exists, just insert new recipient
        if (! $updated && ! $id_recipient) {
            $sql = "
                INSERT INTO ".PREF."_recipient (
                    person, 
                    email,  
                    comment
                ) VALUES (
                    :person,
                    :email,
                    :comment
                )
            ";
            $stmt = $db->prepare($sql);              
            $stmt->bindParam(':person', $new_name, PDO::PARAM_STR);    
            $stmt->bindParam(':email', $row[$source_col_rec_mail], PDO::PARAM_STR);
            $stmt->bindParam(':comment', $new_desc, PDO::PARAM_STR);    
            $stmt->execute(); 
            $id_recipient = $db->lastInsertId();
            $update_tags = true;
            $insert_qty++;
        }
        
        // update tags if neccesary
        if ($update_tags && count($tagsArr)) {
            // update tags
            $sql = "DELETE FROM ".PREF."_recipient_tag_conn WHERE id_recipient =  :id";
            $stmt = $db->prepare($sql);
            $stmt->bindParam(':id', $id_recipient, PDO::PARAM_INT);   
            $stmt->execute();
            foreach ($tagsArr as $tagId) {
                $sql = "
                    INSERT INTO ".PREF."_recipient_tag_conn (
                        id_recipient,
                        id_tag
                    ) VALUES (
                        :id_recipient,
                        :id_tag
                    )
                ";
                $stmt = $db->prepare($sql);
                $stmt->bindParam(':id_recipient', $id_recipient, PDO::PARAM_STR);    
                $stmt->bindParam(':id_tag', $tagId, PDO::PARAM_STR);
                $stmt->execute();
            }
        }
    } else {
        $errors_qty++;
    }
}

echo '<span class="green">'.BRIDGE_IMPORT_OK1.$update_qty.' '.BRIDGE_IMPORT_OK2.$insert_qty.' '.ERRORS.':'.$errors_qty.'</span><br>';
