<?php

defined('_MAILING') or die('Restricted access');

$files_option = '';
$thumbs_option = '';

// get template details
$stmt = $db->prepare("
    SELECT
        t.id,
        t.subject,
        t.name,
        t.doctype,
        t.html_header,
        t.body_attribs,
        t.content_html,
        t.content_txt,
        t.thumb_filename,
        (
            SELECT group_concat(tc.id_att SEPARATOR ', ') AS atts 
            FROM ".PREF."_template_att_conn AS tc 
            WHERE t.id=tc.id_template
        ) AS attachments
    FROM 
        ".PREF."_template AS t
    WHERE 
        t.id=? 
");
$id = (int)($_GET['id']);
$stmt->bindParam(1, $id, PDO::PARAM_INT);
$stmt->execute();
$row = $stmt->fetchAll();

// in case you want to edit not existent data
if (! @$data = $row[0]){
    echo DATA_ERROR;
    exit();
}

$subject = $data['subject'];
$name = $data['name'];
$doctype = stripslashes($data['doctype']);
$html_header = stripslashes($data['html_header']);
$body_attribs = $data['body_attribs'];
$content_html = $data['content_html'];
$content_txt = $data['content_txt'];
$thumb_filename = $data['thumb_filename'];

// check attachments
$p_att = explode(',',$data['attachments']);
$files = $db->query(" SELECT * FROM ".PREF."_template_att order by filename asc ");
foreach ($files as $file) {
    $checked = in_array($file['id'],$p_att) ? " checked='checked' " : "" ;
    $files_option .= "<div class='checkbox'><label><input class='flat' type='checkbox' name='files[]' value='".$file['id']."' ".$checked.">&nbsp;".$file['filename']."</label></div>";
}

// get all tumbnails
$thumb_files = $db->query(" SELECT * FROM ".PREF."_template_thumb ");
$thumbs_option .= "<option value='no-picture.png' style='background-image:url(uploads/no-picture.png); '>no-picture.png</option>";
foreach ($thumb_files as $thumb_file) {
    $selected = ($thumb_file['filename'] == $thumb_filename) ? " selected " : "" ;
    $thumbs_option .= "<option data-imagesrc='uploads/".$thumb_file['filename']."' value='".$thumb_file['filename']."'".$selected." style='background-image:url(uploads/".$thumb_file['filename']."); '>".$thumb_file['filename']."</option>";
}

$editor = Settings::$systemEditor;
?>

<div class="page-title">
    <div class="title_left">
        <h3><?php echo MENU_TEMPLATES;?> <small>(<?php echo TEMPLATES_TITLE_EDIT;?>)</small></h3>
    </div>
</div>
<div class="clearfix"></div>
<div class="row">
    <div class="col-md-12 col-sm-12 col-xs-12">
        <div class="x_panel">
            <div class="x_title">
                <h2><?php echo TEMPLATES_TITLE_EDIT;?></h2>
                <div class="clearfix"></div>
            </div>
            <div class="x_content">
                <form class="form-horizontal" action="index.php?manage=templates&data=modify&action=update" method="post">
                    <input type="hidden" name="csrf_token" value="<?php echo $app->getToken();?>">
                    <input type="hidden" name="id" value="<?php echo $id;?>">
                    <div class="form-group">
                    <label for="name"><?php echo TEMPLATES_NAME;?>*</label>
                        <input 
                            type="text" 
                            class="form-control" 
                            id="name" 
                            name="name" 
                            value="<?php echo $name; ?>"
                            placeholder="<?php echo TEMPLATES_NAME;?>"
                            required>
                    </div>
                    <div class="form-group">
                    <label for="subject"><?php echo TEMPLATES_MAIL_TITLE;?>*</label>
                        <input 
                            type="text" 
                            class="form-control" 
                            id="subject" 
                            name="subject" 
                            value="<?php echo $subject; ?>"
                            placeholder="<?php echo TEMPLATES_MAIL_TITLE_PLACEHOLDER;?>"
                            required>
                    </div>
                    
                    <div class="form-group email_header_div">
                        <label for="content_txt" >HTML header <code>&lt;<input id="doctype" type="text" name="doctype" placeholder="!DOCTYPE here..." value='<?php echo $doctype;?>' pattern="[^']*$">&gt;&lt;heaad&gt;...&lt;/head&gt;</code></label>
                        <textarea id="header_html" name="html_header" class="form-control"><?php echo $html_header; ?></textarea>
                    </div>
                    <div class="form-group">
                        <label for="content_html" ><?php echo TMPLATES_HTML;?><code>&lt;body <input id='body_attribs' type="text" name='body_attribs' placeholder='attribs here...' value='<?php echo $body_attribs;?>' pattern="[^']*$">&gt;...&lt;/body&gt;</code></label>
                        <?php if ($editor == 'tinymce') { ?>
                            <a id="disable_editor" class="btn btn-primary btn-xs pull-right hidden"><?php echo DISABLE_EDITOR;?></a>
                            <a id="enable_editor" class="btn btn-primary btn-xs pull-right hidden"><?php echo ENABLE_EDITOR;?></a>
                        <?php } ?>
                        <textarea id="mailhtml" name="content_html" class="form-control"><?php echo $content_html; ?></textarea>
                    </div>
                    <div class="form-group">
                        <label for="content_html" ><?php echo TMPLATES_VARIABLES;?></label>
                        <p>{RECIPIENT_NAME}, {RECIPIENT_EMAIL}, {RECIPIENT_DESCRIPTION}, {UNSUBSCRIBE}, {BROWSER_VIEW}, {CAMPAIGN_NAME}, {SENDER_NAME}, {SENDER_EMAIL}, {CURRENT_YEAR}, {CURRENT_MONTH}, {CURRENT_DAY}</p>
                    </div>
                    <div class="form-group">
                        <label for="content_txt" ><?php echo TMPLATES_TXT;?></label>
                        <textarea id="mailtxt" name="content_txt" class="form-control"><?php echo $content_txt; ?></textarea>
                    </div>
                    <div class="form-group">
                        <label for="template_name" class="col-sm-2 control-label"></label>
                        <div class="col-sm-5">
                            <img id="layoutPicture" src="uploads/<?php echo $thumb_filename; ?>">
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="tagsname" class="col-sm-2 control-label"><?php echo TEMPLATES_THUMB;?></label>
                        <div class="col-sm-5">
                            <select id="template_name" class="form-control" name="thumb">
                                <?php echo $thumbs_option; ?>
                            </select>
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="tagsname" class="col-sm-2 control-label"><?php echo MEDIA_MANAGER;?></label>
                        <div class="col-sm-5">
                            <?php echo $files_option; ?>
                        </div>
                    </div>
                    <div class="form-group">
                        <div>
                            <button type="submit" class="btn btn-primary pull-right"><i class="fa fa-download"></i> <?php echo SAVE;?></button>
                            <span class="pull-right">&nbsp;</span>
                            <span class="pull-right">&nbsp;</span>
                            <span class="pull-right">&nbsp;</span>
                            <a class="btn btn-success pull-right" href="index.php?manage=templates&action=list"><i class="fa fa-frown-o"></i> <?php echo CANCEL;?></a>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>
<style>
    select option{
        padding:50px 0px 50px 130px;
        background-position:center left;
        background-repeat: no-repeat;
        background-size: 100px 80px;
        border-bottom:1px solid grey;
        margin-left:2px;
    }
    img#layoutPicture {
        max-width:200px;
        max-height:200px;
    }
    #mailhtml {
        min-height:400px;
    }
    .CodeMirror {
        height:600px !important;
        border: solid 1px lightgray;
    }
    div.email_header_div div.CodeMirror.cm-s-default {
        height:200px !important;
    }
    textarea {
        line-height: 1.2em !important;
    }
    #body_attribs, #doctype {
        border: solid 1px #c7254e4d;
    }
    input[name="doctype"] {
        width:500px;
    }
    input[name="body_attribs"] {
        width:400px;
    } 
</style>
<link href="production/css/bootstrap.min.css" rel="stylesheet">
<link href="production/css/custom.css" rel="stylesheet">
<link href="production/css/icheck/flat/green.css" rel="stylesheet">
<link href="libs/codemirror/codemirror.css" rel="stylesheet">

<script src="libs/codemirror/codemirror.js"></script>
<script src="libs/codemirror/xml.js"></script>
<script src="production/js/bootstrap.min.js"></script>
<script src="production/js/icheck/icheck.min.js"></script>
<script src="libs/tinymce/tinymce.min.js"></script>

<script>
$(document).ready(function () {
    var editor = '<?php echo $editor; ?>';
    
    $('#enable_editor').on('click', function(){
        initTinyEditor();
    });
    $('#disable_editor').on('click', function(){
        disableTinyEditor();
    });
            
    if ($("input.flat")[0]) {
        $('input.flat').iCheck({
            checkboxClass: 'icheckbox_flat-green',
            radioClass: 'iradio_flat-green'
        });
    }
    if (editor == 'textarea') { 
        // do nothing
    }
    if (editor == 'tinymce') {
        initTinyEditor();
    }
    if (editor == 'codemirror') {
        initCodeMirrorHeader();
        initCodeMirrorBody();
    }
    
    $('#template_name').on('change update', function(){
        var img;
        img = $('option:selected', this).attr('data-imagesrc');
        if (img === undefined) {
            img = 'uploads/no-picture.png';
        }
        $('#layoutPicture').attr('src', img);
        console.log(img);
    });
});

function initTinyEditor() {
    tinymce.init({
        selector:'#mailhtml',
        height : "700",
        plugins: "link print preview code textcolor table image filemanager",
        toolbar1: 'insertfile undo redo | styleselect | bold italic | alignleft aligncenter alignright alignjustify | bullist numlist outdent indent | forecolor backcolor | link | image',
        language : '<?php echo LANG;?>',
        relative_urls : false,
        remove_script_host : false
    });
    $('#enable_editor').addClass('hidden');
    $('#disable_editor').removeClass('hidden');
}

function disableTinyEditor() {
    tinymce.remove('#mailhtml');
    $('#enable_editor').removeClass('hidden');
    $('#disable_editor').addClass('hidden');
}

function initCodeMirrorBody() {
    var editor = CodeMirror.fromTextArea(document.getElementById('mailhtml'), {
        lineNumbers: true,
        matchBrackets: true,
        mode: "text/html"
  });
}

function initCodeMirrorHeader() {
    var editor = CodeMirror.fromTextArea(document.getElementById('header_html'), {
        lineNumbers: true,
        matchBrackets: true,
        mode: "text/html"
  });
}

</script>
